Package org.drinkless.tdlib

# Class TdApi.QuickReplyMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.QuickReplyMessage

Enclosing class:
  `TdApi`

public static class TdApi.QuickReplyMessage extends TdApi.Object
Describes a message that can be used for quick reply.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeEdited`
  True, if the message can be edited.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageContent`
  `content`
  Content of the message.
  `long`
  `id`
  Unique message identifier among all quick replies.
  `long`
  `mediaAlbumId`
  Unique identifier of an album this message belongs to; 0 if none.
  `TdApi.ReplyMarkup`
  `replyMarkup`
  Inline keyboard reply markup for the message; may be null if none.
  `long`
  `replyToMessageId`
  The identifier of the quick reply message to which the message replies; 0 if none.
  `TdApi.MessageSendingState`
  `sendingState`
  The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
  `long`
  `viaBotUserId`
  If non-zero, the user identifier of the bot through which this message was sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickReplyMessage()`
  Describes a message that can be used for quick reply.
  `QuickReplyMessage(long id, TdApi.MessageSendingState sendingState, boolean canBeEdited, long replyToMessageId, long viaBotUserId, long mediaAlbumId, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
  Describes a message that can be used for quick reply.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique message identifier among all quick replies.

  - ### sendingState

    @Nullable public TdApi.MessageSendingState sendingState
    The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the message can be edited.

  - ### replyToMessageId

    public long replyToMessageId
    The identifier of the quick reply message to which the message replies; 0 if none.

  - ### viaBotUserId

    public long viaBotUserId
    If non-zero, the user identifier of the bot through which this message was sent.

  - ### mediaAlbumId

    public long mediaAlbumId
    Unique identifier of an album this message belongs to; 0 if none. Only audios, documents, photos and videos can be grouped together in albums.

  - ### content

    public TdApi.MessageContent content
    Content of the message.

  - ### replyMarkup

    @Nullable public TdApi.ReplyMarkup replyMarkup
    Inline keyboard reply markup for the message; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QuickReplyMessage

    public QuickReplyMessage()
    Describes a message that can be used for quick reply.

  - ### QuickReplyMessage

    public QuickReplyMessage(long id, TdApi.MessageSendingState sendingState, boolean canBeEdited, long replyToMessageId, long viaBotUserId, long mediaAlbumId, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)
    Describes a message that can be used for quick reply.
    Parameters:
      `id` - Unique message identifier among all quick replies.
      `sendingState` - The sending state of the message; may be null if the message isn't being sent and didn't fail to be sent.
      `canBeEdited` - True, if the message can be edited.
      `replyToMessageId` - The identifier of the quick reply message to which the message replies; 0 if none.
      `viaBotUserId` - If non-zero, the user identifier of the bot through which this message was sent.
      `mediaAlbumId` - Unique identifier of an album this message belongs to; 0 if none. Only audios, documents, photos and videos can be grouped together in albums.
      `content` - Content of the message.
      `replyMarkup` - Inline keyboard reply markup for the message; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR